aboutsummaryrefslogtreecommitdiffstats
path: root/test/scripts
diff options
context:
space:
mode:
authorKlement Sekera <ksekera@cisco.com>2017-05-04 06:15:18 +0200
committerNeale Ranns <nranns@cisco.com>2017-09-19 12:23:44 +0000
commit8f2a4eafeaa439432107563033728e09665c16d9 (patch)
treea8db2c9f35e169a2eb48a7f5aebb88f146029f5f /test/scripts
parentf4215a65cb5858b276b0b096273270e7c017209d (diff)
Add new C API
Change-Id: I717ce3cd7c867c155de149ec56623269d26d0ff7 Signed-off-by: Klement Sekera <ksekera@cisco.com>
Diffstat (limited to 'test/scripts')
-rwxr-xr-xtest/scripts/test-loop.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/test/scripts/test-loop.sh b/test/scripts/test-loop.sh
index 17dc7c39cdf..51f5d5cef58 100755
--- a/test/scripts/test-loop.sh
+++ b/test/scripts/test-loop.sh
@@ -3,14 +3,15 @@
function usage() {
echo "$0" 1>&2
echo "" 1>&2
- echo "Usage: $0 [-p <pre-exec-cmd>] [-m <email>] -- <make test options>" 1>&2
+ echo "Usage: $0 [-p <pre-exec-cmd>] [-m <email>] -- <make test options|verify>" 1>&2
echo "" 1>&2
echo "Parameters:" 1>&2
echo " -p <pre-exec-cmd> - run a command before each test loop (e.g. 'git pull')" 1>&2
echo " -m <email> - if set, email is sent to this address on failure" 1>&2
echo "" 1>&2
- echo "Example:" 1>&2
- echo " $0 -m <somebody@cisco.com> -- test-debug TEST=l2bd"
+ echo "Examples:" 1>&2
+ echo " $0 -m <somebody@cisco.com> -- test-debug TEST=l2bd" 1>&2
+ echo " $0 -m <somebody@cisco.com> -- verify" 1>&2
exit 1;
}
@@ -44,8 +45,11 @@ shift $((OPTIND-1))
if ! echo $* | grep test >/dev/null
then
- echo "Error: command line doesn't look right - should contain \`test' token..." >&2
- usage
+ if ! echo $* | grep verify >/dev/null
+ then
+ echo "Error: command line doesn't look right - should contain \`test' or \`verify' token..." >&2
+ usage
+ fi
fi
function finish {